<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <form action="" method="get">
    用户名<input type="text" name="username" id="username"><span id="msg">用户名4-10位之间，并且没有字符串</span><br>
    <input type="submit" value="提交">
    </form>

    <script>
        var oUsername = document.getElementById("username");
        var oMsg = document.getElementById("msg");
        oUsername.onblur = f_validate;
        function f_validate(){
            var usernameStr = oUsername.value;
            var re1 = /^\w{4,10}$/;
            if(!re1.test(usernameStr)){
                oMsg.innerHTML = "不合法，重新输入";
                return false;
            }
            else {
                oMsg.innerHTML = "合法";
                return true;
            }
        }

    </script>
</body>
</html>